Subject: Re: bug#6851: Documentation: `make-hash-table' "add that many space"

From: Chong Yidong <[email-masked]>
Date: Fri, 13 Aug 2010 20:39:58 -0400

MON KEY <[email-masked]> writes:

> | :rehash-size REHASH-SIZE - Indicates how to expand the table when it
> | fills up.  If REHASH-SIZE is an integer, add that many space.  If it
> | is a float, it must be > 1.0, and the new size is computed by
> | multiplying the old size with that factor.  Default is 1.5.

> Following sentence doesn't parse:
>
>  "If REHASH-SIZE is an integer, add that many space."
>                                          ^^^^ ^^^^^
> Even if what the author meant was:
>
>  "If REHASH-SIZE is an integer, add that much space."
>
> it still won't yield a satisfactory parse b/c space isn't a term
> specified elsewhere in the doc so it isn't clear which space is being
> added to.

Thanks.  I checked in a fix.  The "number of spaces" is the nominal size
of the hash table, defined in the preceding part of the docstring.